<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
  <v-app-bar
    id="app-bar"
    absolute
    app
    color="transparent"
    flat
    height="75"
  >
    <v-btn
      class="mr-3"
      elevation="1"
      fab
      small
      @click="setDrawer(!drawer)"
    >
      <v-icon v-if="value">
        mdi-view-quilt
      </v-icon>

      <v-icon v-else>
        mdi-dots-vertical
      </v-icon>
    </v-btn>

   <!--  <v-toolbar-title
      class="hidden-sm-and-down font-weight-light"
      v-text="$route.name"
    /> -->

    <v-spacer />

    <!-- <v-text-field
      label="search"
      color="secondary"
      hide-details
      style="max-width: 200px;"
    >
      <template
        v-if="$vuetify.breakpoint.mdAndUp"
        v-slot:append-outer
      >
        <v-btn
          class="mt-n2"
          elevation="1"
          fab
          small
        >
          <v-icon>mdi-magnify</v-icon>
        </v-btn>
      </template>
    </v-text-field> -->

<!--    <div class="mx-3" />-->

    <!--<v-btn
      class="ml-2"
      min-width="0"
      text
      to="/"
    >
      <v-icon>mdi-view-dashboard</v-icon>
    </v-btn>-->

    <!-- <v-menu
      bottom
      left
      offset-y
      origin="top right"
      transition="scale-transition"
    >
      <template v-slot:activator="{ attrs, on }">
        <v-btn
          class="ml-2"
          min-width="0"
          text
          v-bind="attrs"
          v-on=""
        >
          <v-badge
            color="red"
            overlap
            bordered
          >
            <template v-slot:badge>
              <span>5</span>
            </template>

            <v-icon>mdi-bell</v-icon>
          </v-badge>
        </v-btn>
      </template>

      <v-list
        :tile="false"
        nav
      >
        <div>
          <app-bar-item
            v-for="(n, i) in notifications"
            :key="`item-${i}`"
          >
            <v-list-item-title v-text="n" />
          </app-bar-item>
        </div>
      </v-list>
    </v-menu> -->
    <v-progress-circular
      :size="30"
      color="primary"
      class="mr-2"
      indeterminate
      v-show="loading"
    ></v-progress-circular>
    <v-tooltip bottom>
      <template v-slot:activator="{ on, attrs }">
      <v-btn
        v-show="!loading&&current_panel_user.role.name==='doctor'"
        class="ml-2"
        min-width="0"
        text
        v-bind="attrs"
        v-on="on"
        @click="connectPayment()"
      >
        <v-icon medium>mdi-credit-card-scan-outline</v-icon>
      </v-btn>
      </template>
    <span>Connect Payment</span>
  </v-tooltip>
  <v-tooltip bottom>
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          class="ml-2"
          min-width="0"
          text
          v-bind="attrs"
          v-on="on"
          to="/profile"
        >

          <v-icon medium>mdi-account</v-icon>
        </v-btn>
       </template>
    <span>Profile</span>
  </v-tooltip>  
  </v-app-bar>
</template>

<script>
// Components
import { VHover, VListItem } from "vuetify/lib";

// Utilities
import { mapState, mapMutations } from "vuex";

export default {
  name: "DashboardCoreAppBar",

  components: {
    AppBarItem: {
      render(h) {
        return h(VHover, {
          scopedSlots: {
            default: ({ hover }) => {
              return h(
                VListItem,
                {
                  attrs: this.$attrs,
                  class: {
                    "black--text": !hover,
                    "white--text secondary elevation-12": hover,
                  },
                  props: {
                    activeClass: "",
                    dark: hover,
                    link: true,
                    ...this.$attrs,
                  },
                },
                this.$slots.default
              );
            },
          },
        });
      },
    },
  },

  props: {
    value: {
      type: Boolean,
      default: false,
    },
  },

  data: () => ({
    notifications: [
      'Mike John Responded to your email',
      'You have 5 new tasks',
      'You\'re now friends with Andrew',
      'Another Notification',
      'Another one',
    ],
    loading: false
  }),

  computed: {
    ...mapState({
      drawer: state => state.drawer.drawer,
    })
  },

  methods: {
    setDrawer (val) {
      console.log(val)
      this.$store.commit("drawer/SET_DRAWER", val);

    },
    connectPayment() {
      this.loading = true
      this.$store.dispatch('doctor/getConnectPayment', {cb: (resp) => {
        console.log(resp)
        window.location.replace(resp.url.url)
        this.loading = false
      }, errcb: (err) => {
        console.log(err)
        this.loading = false 
        console.log(!this.loading&&this.current_panel_user.role.name==='doctor')
        this.showAlert("There is a problem connectig to payment service.", "error")
      }})
    },
    showAlert (text, type) {
      this.$store.commit('drawer/showMessage', { content: text, color: type })
    },

  },
};
</script>
